Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.file
Class FileChooserUtils

    java.lang.Object
      org.statcato.file.FileChooserUtils

    public class FileChooserUtils

extends java.lang.Object

Utilities functions for files.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Field Summary
`static java.lang.String` | `gif`
`static java.lang.String` | `html`
`static java.lang.String` | `jpeg`
`static java.lang.String` | `jpg`
`static java.lang.String` | `pdf`
`static java.lang.String` | `png`
`static java.lang.String` | `tif`
`static java.lang.String` | `tiff`
`static java.lang.String` | `txt`

Constructor Summary
`FileChooserUtils()`

Method Summary
`static java.lang.String` | `getExtension(java.io.File f)` Returns the extension of a file.
`static java.lang.String` | `getExtension(java.lang.String s)` Returns the extension of a file name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jpeg

    public static final java.lang.String jpeg

See Also:
  Constant Field Values

### jpg

    public static final java.lang.String jpg

See Also:
  Constant Field Values

### gif

    public static final java.lang.String gif

See Also:
  Constant Field Values

### tiff

    public static final java.lang.String tiff

See Also:
  Constant Field Values

### tif

    public static final java.lang.String tif

See Also:
  Constant Field Values

### png

    public static final java.lang.String png

See Also:
  Constant Field Values

### txt

    public static final java.lang.String txt

See Also:
  Constant Field Values

### html

    public static final java.lang.String html

See Also:
  Constant Field Values

### pdf

    public static final java.lang.String pdf

See Also:
  Constant Field Values

Constructor Detail

### FileChooserUtils

    public FileChooserUtils()

Method Detail

### getExtension

    public static java.lang.String getExtension(java.io.File f)

  Returns the extension of a file.

  Parameters:
    `f` - file object
  Returns:
    file extension

### getExtension

    public static java.lang.String getExtension(java.lang.String s)

  Returns the extension of a file name

  Parameters:
    `s` - file name
  Returns:
    file extension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD